| FFmpegKit Android API 6.0

Loading...
Searching...
No Matches
Macros | Functions | Variables
fftools_ffmpeg_mux_init.c File Reference

Go to the source code of this file.

## Macros
#define | DEFAULT_PASS_LOGFILENAME_PREFIX "ffmpeg2pass"
#define | IS_AV_ENC(ost, type) (ost->enc_ctx && (type == AVMEDIA_TYPE_VIDEO || type == AVMEDIA_TYPE_AUDIO))
#define | IS_INTERLEAVED(type) (type != AVMEDIA_TYPE_ATTACHMENT)
#define | METADATA_CHECK_INDEX(index, nb_elems, desc)
#define | SET_DICT(type, meta, context, index)

## Functions
MuxStream * | ms_from_ost (OutputStream *ost)
static int | check_opt_bitexact (void *ctx, const AVDictionary *opts, const char *opt_name, int flag)
static int | choose_encoder (const OptionsContext *o, AVFormatContext *s, OutputStream *ost, const AVCodec **enc)
static char * | get_line (AVIOContext *s, AVBPrint *bprint)
static int | get_preset_file_2 (const char *preset_name, const char *codec_name, AVIOContext **s)
static int | enc_stats_get_file (AVIOContext **io, const char *path)
void | of_enc_stats_close (void)
static int | unescape (char **pdst, size_t *dst_len, const char **pstr, char delim)
static int | enc_stats_init (OutputStream *ost, EncStats *es, int pre, const char *path, const char *fmt_spec)
static const char * | output_stream_item_name (void *obj)
static MuxStream * | mux_stream_alloc (Muxer *mux, enum AVMediaType type)
static OutputStream * | new_output_stream (Muxer *mux, const OptionsContext *o, enum AVMediaType type, InputStream *ist)
static char * | get_ost_filters (const OptionsContext *o, AVFormatContext *oc, OutputStream *ost)
static void | check_streamcopy_filters (const OptionsContext *o, AVFormatContext *oc, OutputStream *ost, enum AVMediaType type)
static void | parse_matrix_coeffs (void *logctx, uint16_t *dest, const char *str)
static OutputStream * | new_video_stream (Muxer *mux, const OptionsContext *o, InputStream *ist)
static OutputStream * | new_audio_stream (Muxer *mux, const OptionsContext *o, InputStream *ist)
static OutputStream * | new_data_stream (Muxer *mux, const OptionsContext *o, InputStream *ist)
static OutputStream * | new_unknown_stream (Muxer *mux, const OptionsContext *o, InputStream *ist)
static OutputStream * | new_attachment_stream (Muxer *mux, const OptionsContext *o, InputStream *ist)
static OutputStream * | new_subtitle_stream (Muxer *mux, const OptionsContext *o, InputStream *ist)
static void | init_output_filter (OutputFilter *ofilter, const OptionsContext *o, Muxer *mux)
static void | map_auto_video (Muxer *mux, const OptionsContext *o)
static void | map_auto_audio (Muxer *mux, const OptionsContext *o)
static void | map_auto_subtitle (Muxer *mux, const OptionsContext *o)
static void | map_auto_data (Muxer *mux, const OptionsContext *o)
static void | map_manual (Muxer *mux, const OptionsContext *o, const StreamMap *map)
static void | of_add_attachments (Muxer *mux, const OptionsContext *o)
static void | create_streams (Muxer *mux, const OptionsContext *o)
static int | setup_sync_queues (Muxer *mux, AVFormatContext *oc, int64_t buf_size_us)
static void | of_add_programs (Muxer *mux, const OptionsContext *o)
static void | parse_meta_type (void *logctx, const char *arg, char *type, int *index, const char **stream_spec)
static void | of_add_metadata (OutputFile *of, AVFormatContext *oc, const OptionsContext *o)
static void | set_channel_layout (OutputFilter *f, OutputStream *ost)
static int | copy_chapters (InputFile *ifile, OutputFile *ofile, AVFormatContext *os, int copy_metadata)
static int | copy_metadata (Muxer *mux, AVFormatContext *ic, const char *outspec, const char *inspec, int *metadata_global_manual, int *metadata_streams_manual, int *metadata_chapters_manual, const OptionsContext *o)
static void | copy_meta (Muxer *mux, const OptionsContext *o)
static int | set_dispositions (Muxer *mux, const OptionsContext *o)
static int | compare_int64 (const void *a, const void *b)
static void | parse_forced_key_frames (KeyframeForceCtx *kf, const Muxer *mux, const char *spec)
static int | process_forced_keyframes (Muxer *mux, const OptionsContext *o)
static void | validate_enc_avopt (Muxer *mux, const AVDictionary *codec_avopt)
static const char * | output_file_item_name (void *obj)
static Muxer * | mux_alloc (void)
int | of_open (const OptionsContext *o, const char *filename)

## Variables
static const char *const | opt_name_apad [] = {"apad", NULL}
static const char *const | opt_name_autoscale [] = {"autoscale", NULL}
static const char *const | opt_name_bits_per_raw_sample [] = {"bits_per_raw_sample", NULL}
static const char *const | opt_name_bitstream_filters [] = {"bsf", "absf", "vbsf", NULL}
static const char *const | opt_name_copy_initial_nonkeyframes [] = {"copyinkf", NULL}
static const char *const | opt_name_copy_prior_start [] = {"copypriorss", NULL}
static const char *const | opt_name_disposition [] = {"disposition", NULL}
static const char *const | opt_name_enc_time_bases [] = {"enc_time_base", NULL}
static const char *const | opt_name_enc_stats_pre [] = {"enc_stats_pre", NULL}
static const char *const | opt_name_enc_stats_post [] = {"enc_stats_post", NULL}
static const char *const | opt_name_mux_stats [] = {"mux_stats", NULL}
static const char *const | opt_name_enc_stats_pre_fmt [] = {"enc_stats_pre_fmt", NULL}
static const char *const | opt_name_enc_stats_post_fmt [] = {"enc_stats_post_fmt", NULL}
static const char *const | opt_name_mux_stats_fmt [] = {"mux_stats_fmt", NULL}
static const char *const | opt_name_filters [] = {"filter", "af", "vf", NULL}
static const char *const | opt_name_filter_scripts [] = {"filter_script", NULL}
static const char *const | opt_name_fix_sub_duration_heartbeat [] = {"fix_sub_duration_heartbeat", NULL}
static const char *const | opt_name_fps_mode [] = {"fps_mode", NULL}
static const char *const | opt_name_force_fps [] = {"force_fps", NULL}
static const char *const | opt_name_forced_key_frames [] = {"forced_key_frames", NULL}
static const char *const | opt_name_frame_aspect_ratios [] = {"aspect", NULL}
static const char *const | opt_name_intra_matrices [] = {"intra_matrix", NULL}
static const char *const | opt_name_inter_matrices [] = {"inter_matrix", NULL}
static const char *const | opt_name_chroma_intra_matrices [] = {"chroma_intra_matrix", NULL}
static const char *const | opt_name_max_frame_rates [] = {"fpsmax", NULL}
static const char *const | opt_name_max_frames [] = {"frames", "aframes", "vframes", "dframes", NULL}
static const char *const | opt_name_max_muxing_queue_size [] = {"max_muxing_queue_size", NULL}
static const char *const | opt_name_muxing_queue_data_threshold [] = {"muxing_queue_data_threshold", NULL}
static const char *const | opt_name_pass [] = {"pass", NULL}
static const char *const | opt_name_passlogfiles [] = {"passlogfile", NULL}
static const char *const | opt_name_presets [] = {"pre", "apre", "vpre", "spre", NULL}
static const char *const | opt_name_qscale [] = {"q", "qscale", NULL}
static const char *const | opt_name_rc_overrides [] = {"rc_override", NULL}
static const char *const | opt_name_time_bases [] = {"time_base", NULL}
static const char *const | opt_name_audio_channels [] = {"ac", NULL}
static const char *const | opt_name_audio_ch_layouts [] = {"channel_layout", "ch_layout", NULL}
static const char *const | opt_name_audio_sample_rate [] = {"ar", NULL}
static const char *const | opt_name_frame_sizes [] = {"s", NULL}
static const char *const | opt_name_frame_pix_fmts [] = {"pix_fmt", NULL}
static const char *const | opt_name_sample_fmts [] = {"sample_fmt", NULL}
__thread EncStatsFile * | enc_stats_files
__thread int | nb_enc_stats_files
static const AVClass | output_stream_class
const char *const | forced_keyframes_const_names []
static const AVClass | output_file_class

## Macro Definition Documentation

## ◆ DEFAULT_PASS_LOGFILENAME_PREFIX

#define DEFAULT_PASS_LOGFILENAME_PREFIX "ffmpeg2pass"

Definition at line 65 of file fftools_ffmpeg_mux_init.c.

## ◆ IS_AV_ENC

#define IS_AV_ENC | ( |  | ost,
|  |  | type
| ) |  | (ost->enc_ctx && (type == AVMEDIA_TYPE_VIDEO || type == AVMEDIA_TYPE_AUDIO))

## ◆ IS_INTERLEAVED

#define IS_INTERLEAVED | ( |  | type | ) | (type != AVMEDIA_TYPE_ATTACHMENT)

## ◆ METADATA_CHECK_INDEX

#define METADATA_CHECK_INDEX | ( |  | index,
|  |  | nb_elems,
|  |  | desc
| ) |  |

Value:
if ((index) < 0 || (index) >= (nb_elems)) {\
av_log(mux, AV_LOG_FATAL, "Invalid %s index %d while processing metadata maps.\n",\
(desc), (index));\
exit_program(1);\
}

## ◆ SET_DICT

#define SET_DICT | ( |  | type,
|  |  | meta,
|  |  | context,
|  |  | index
| ) |  |

Value:
switch (type) {\
case 'g':\
meta = &context->metadata;\
break;\
case 'c':\
METADATA_CHECK_INDEX(index, context->nb_chapters, "chapter")\
meta = &context->chapters[index]->metadata;\
break;\
case 'p':\
METADATA_CHECK_INDEX(index, context->nb_programs, "program")\
meta = &context->programs[index]->metadata;\
break;\
case 's':\
break; /* handled separately below */ \
default: av_assert0(0);\
}\

## Function Documentation

## ◆ check_opt_bitexact()

static int check_opt_bitexact | ( | void * | ctx,
|  | const AVDictionary * | opts,
|  | const char * | opt_name,
|  | int | flag
| ) |  |
| static

Definition at line 110 of file fftools_ffmpeg_mux_init.c.

## ◆ check_streamcopy_filters()

static void check_streamcopy_filters | ( | const OptionsContext * | o,
|  | AVFormatContext * | oc,
|  | OutputStream * | ost,
|  | enum AVMediaType | type
| ) |  |
| static

Definition at line 689 of file fftools_ffmpeg_mux_init.c.

## ◆ choose_encoder()

static int choose_encoder | ( | const OptionsContext * | o,
|  | AVFormatContext * | s,
|  | OutputStream * | ost,
|  | const AVCodec ** | enc
| ) |  |
| static

Definition at line 126 of file fftools_ffmpeg_mux_init.c.

## ◆ compare_int64()

static int compare_int64 | ( | const void * | a,
|  | const void * | b
| ) |  |
| static

Definition at line 2053 of file fftools_ffmpeg_mux_init.c.

## ◆ copy_chapters()

static int copy_chapters | ( | InputFile * | ifile,
|  | OutputFile * | ofile,
|  | AVFormatContext * | os,
|  | int | copy_metadata
| ) |  |
| static

Definition at line 1777 of file fftools_ffmpeg_mux_init.c.

## ◆ copy_meta()

static void copy_meta | ( | Muxer * | mux,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 1904 of file fftools_ffmpeg_mux_init.c.

## ◆ copy_metadata()

static int copy_metadata | ( | Muxer * | mux,
|  | AVFormatContext * | ic,
|  | const char * | outspec,
|  | const char * | inspec,
|  | int * | metadata_global_manual,
|  | int * | metadata_streams_manual,
|  | int * | metadata_chapters_manual,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 1820 of file fftools_ffmpeg_mux_init.c.

## ◆ create_streams()

static void create_streams | ( | Muxer * | mux,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 1415 of file fftools_ffmpeg_mux_init.c.

## ◆ enc_stats_get_file()

static int enc_stats_get_file | ( | AVIOContext ** | io,
|  | const char * | path
| ) |  |
| static

Definition at line 201 of file fftools_ffmpeg_mux_init.c.

## ◆ enc_stats_init()

static int enc_stats_init | ( | OutputStream * | ost,
|  | EncStats * | es,
|  | int | pre,
|  | const char * | path,
|  | const char * | fmt_spec
| ) |  |
| static

Definition at line 281 of file fftools_ffmpeg_mux_init.c.

## ◆ get_line()

static char * get_line | ( | AVIOContext * | s,
|  | AVBPrint * | bprint
| ) |  |
| static

Definition at line 156 of file fftools_ffmpeg_mux_init.c.

## ◆ get_ost_filters()

static char * get_ost_filters | ( | const OptionsContext * | o,
|  | AVFormatContext * | oc,
|  | OutputStream * | ost
| ) |  |
| static

Definition at line 670 of file fftools_ffmpeg_mux_init.c.

## ◆ get_preset_file_2()

static int get_preset_file_2 | ( | const char * | preset_name,
|  | const char * | codec_name,
|  | AVIOContext ** | s
| ) |  |
| static

Definition at line 168 of file fftools_ffmpeg_mux_init.c.

## ◆ init_output_filter()

static void init_output_filter | ( | OutputFilter * | ofilter,
|  | const OptionsContext * | o,
|  | Muxer * | mux
| ) |  |
| static

Definition at line 1113 of file fftools_ffmpeg_mux_init.c.

## ◆ map_auto_audio()

static void map_auto_audio | ( | Muxer * | mux,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 1205 of file fftools_ffmpeg_mux_init.c.

## ◆ map_auto_data()

static void map_auto_data | ( | Muxer * | mux,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 1285 of file fftools_ffmpeg_mux_init.c.

## ◆ map_auto_subtitle()

static void map_auto_subtitle | ( | Muxer * | mux,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 1247 of file fftools_ffmpeg_mux_init.c.

## ◆ map_auto_video()

static void map_auto_video | ( | Muxer * | mux,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 1154 of file fftools_ffmpeg_mux_init.c.

## ◆ map_manual()

static void map_manual | ( | Muxer * | mux,
|  | const OptionsContext * | o,
|  | const StreamMap * | map
| ) |  |
| static

Definition at line 1303 of file fftools_ffmpeg_mux_init.c.

## ◆ ms_from_ost()

MuxStream * ms_from_ost | ( | OutputStream * | ost | ) |

Definition at line 68 of file fftools_ffmpeg_mux.c.

## ◆ mux_alloc()

static Muxer * mux_alloc | ( | void |  | ) |
| static

Definition at line 2209 of file fftools_ffmpeg_mux_init.c.

## ◆ mux_stream_alloc()

static MuxStream * mux_stream_alloc | ( | Muxer * | mux,
|  | enum AVMediaType | type
| ) |  |
| static

Definition at line 418 of file fftools_ffmpeg_mux_init.c.

## ◆ new_attachment_stream()

static OutputStream * new_attachment_stream | ( | Muxer * | mux,
|  | const OptionsContext * | o,
|  | InputStream * | ist
| ) |  |
| static

Definition at line 1084 of file fftools_ffmpeg_mux_init.c.

## ◆ new_audio_stream()

static OutputStream * new_audio_stream | ( | Muxer * | mux,
|  | const OptionsContext * | o,
|  | InputStream * | ist
| ) |  |
| static

Definition at line 960 of file fftools_ffmpeg_mux_init.c.

## ◆ new_data_stream()

static OutputStream * new_data_stream | ( | Muxer * | mux,
|  | const OptionsContext * | o,
|  | InputStream * | ist
| ) |  |
| static

Definition at line 1058 of file fftools_ffmpeg_mux_init.c.

## ◆ new_output_stream()

static OutputStream * new_output_stream | ( | Muxer * | mux,
|  | const OptionsContext * | o,
|  | enum AVMediaType | type,
|  | InputStream * | ist
| ) |  |
| static

Definition at line 435 of file fftools_ffmpeg_mux_init.c.

## ◆ new_subtitle_stream()

static OutputStream * new_subtitle_stream | ( | Muxer * | mux,
|  | const OptionsContext * | o,
|  | InputStream * | ist
| ) |  |
| static

Definition at line 1091 of file fftools_ffmpeg_mux_init.c.

## ◆ new_unknown_stream()

static OutputStream * new_unknown_stream | ( | Muxer * | mux,
|  | const OptionsContext * | o,
|  | InputStream * | ist
| ) |  |
| static

Definition at line 1071 of file fftools_ffmpeg_mux_init.c.

## ◆ new_video_stream()

static OutputStream * new_video_stream | ( | Muxer * | mux,
|  | const OptionsContext * | o,
|  | InputStream * | ist
| ) |  |
| static

Definition at line 720 of file fftools_ffmpeg_mux_init.c.

## ◆ of_add_attachments()

static void of_add_attachments | ( | Muxer * | mux,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 1374 of file fftools_ffmpeg_mux_init.c.

## ◆ of_add_metadata()

static void of_add_metadata | ( | OutputFile * | of,
|  | AVFormatContext * | oc,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 1666 of file fftools_ffmpeg_mux_init.c.

## ◆ of_add_programs()

static void of_add_programs | ( | Muxer * | mux,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 1559 of file fftools_ffmpeg_mux_init.c.

## ◆ of_enc_stats_close()

void of_enc_stats_close | ( | void |  | ) |

Definition at line 232 of file fftools_ffmpeg_mux_init.c.

## ◆ of_open()

int of_open | ( | const OptionsContext * | o,
|  | const char * | filename
| ) |  |

Definition at line 2221 of file fftools_ffmpeg_mux_init.c.

## ◆ output_file_item_name()

static const char * output_file_item_name | ( | void * | obj | ) |
| static

Definition at line 2195 of file fftools_ffmpeg_mux_init.c.

## ◆ output_stream_item_name()

static const char * output_stream_item_name | ( | void * | obj | ) |
| static

Definition at line 404 of file fftools_ffmpeg_mux_init.c.

## ◆ parse_forced_key_frames()

static void parse_forced_key_frames | ( | KeyframeForceCtx * | kf,
|  | const Muxer * | mux,
|  | const char * | spec
| ) |  |
| static

Definition at line 2058 of file fftools_ffmpeg_mux_init.c.

## ◆ parse_matrix_coeffs()

static void parse_matrix_coeffs | ( | void * | logctx,
|  | uint16_t * | dest,
|  | const char * | str
| ) |  |
| static

Definition at line 702 of file fftools_ffmpeg_mux_init.c.

## ◆ parse_meta_type()

static void parse_meta_type | ( | void * | logctx,
|  | const char * | arg,
|  | char * | type,
|  | int * | index,
|  | const char ** | stream_spec
| ) |  |
| static

Parse a metadata specifier passed as 'arg' parameter.

Parameters

  arg | metadata string to parse
  type | metadata type is written here – g(lobal)/s(tream)/c(hapter)/p(rogram)
  index | for type c/p, chapter/program index is written here
  stream_spec | for type s, the stream specifier is written here

Definition at line 1638 of file fftools_ffmpeg_mux_init.c.

## ◆ process_forced_keyframes()

static int process_forced_keyframes | ( | Muxer * | mux,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 2112 of file fftools_ffmpeg_mux_init.c.

## ◆ set_channel_layout()

static void set_channel_layout | ( | OutputFilter * | f,
|  | OutputStream * | ost
| ) |  |
| static

Definition at line 1739 of file fftools_ffmpeg_mux_init.c.

## ◆ set_dispositions()

static int set_dispositions | ( | Muxer * | mux,
|  | const OptionsContext * | o
| ) |  |
| static

Definition at line 1974 of file fftools_ffmpeg_mux_init.c.

## ◆ setup_sync_queues()

static int setup_sync_queues | ( | Muxer * | mux,
|  | AVFormatContext * | oc,
|  | int64_t | buf_size_us
| ) |  |
| static

Definition at line 1465 of file fftools_ffmpeg_mux_init.c.

## ◆ unescape()

static int unescape | ( | char ** | pdst,
|  | size_t * | dst_len,
|  | const char ** | pstr,
|  | char | delim
| ) |  |
| static

Definition at line 242 of file fftools_ffmpeg_mux_init.c.

## ◆ validate_enc_avopt()

static void validate_enc_avopt | ( | Muxer * | mux,
|  | const AVDictionary * | codec_avopt
| ) |  |
| static

Definition at line 2151 of file fftools_ffmpeg_mux_init.c.

## Variable Documentation

## ◆ enc_stats_files

__thread EncStatsFile* enc_stats_files

Definition at line 198 of file fftools_ffmpeg_mux_init.c.

## ◆ forced_keyframes_const_names

const char* const forced_keyframes_const_names[]

Initial value:
= {
"n",
"n_forced",
"prev_forced_n",
"prev_forced_t",
"t",
NULL
}

Definition at line 2044 of file fftools_ffmpeg_mux_init.c.

## ◆ nb_enc_stats_files

__thread int nb_enc_stats_files

Definition at line 199 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_apad

const char* const opt_name_apad[] = {"apad", NULL}
| static

Definition at line 67 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_audio_ch_layouts

const char* const opt_name_audio_ch_layouts[] = {"channel_layout", "ch_layout", NULL}
| static

Definition at line 102 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_audio_channels

const char* const opt_name_audio_channels[] = {"ac", NULL}
| static

Definition at line 101 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_audio_sample_rate

const char* const opt_name_audio_sample_rate[] = {"ar", NULL}
| static

Definition at line 103 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_autoscale

const char* const opt_name_autoscale[] = {"autoscale", NULL}
| static

Definition at line 68 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_bits_per_raw_sample

const char* const opt_name_bits_per_raw_sample[] = {"bits_per_raw_sample", NULL}
| static

Definition at line 69 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_bitstream_filters

const char* const opt_name_bitstream_filters[] = {"bsf", "absf", "vbsf", NULL}
| static

Definition at line 70 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_chroma_intra_matrices

const char* const opt_name_chroma_intra_matrices[] = {"chroma_intra_matrix", NULL}
| static

Definition at line 90 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_copy_initial_nonkeyframes

const char* const opt_name_copy_initial_nonkeyframes[] = {"copyinkf", NULL}
| static

Definition at line 71 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_copy_prior_start

const char* const opt_name_copy_prior_start[] = {"copypriorss", NULL}
| static

Definition at line 72 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_disposition

const char* const opt_name_disposition[] = {"disposition", NULL}
| static

Definition at line 73 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_enc_stats_post

const char* const opt_name_enc_stats_post[] = {"enc_stats_post", NULL}
| static

Definition at line 76 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_enc_stats_post_fmt

const char* const opt_name_enc_stats_post_fmt[] = {"enc_stats_post_fmt", NULL}
| static

Definition at line 79 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_enc_stats_pre

const char* const opt_name_enc_stats_pre[] = {"enc_stats_pre", NULL}
| static

Definition at line 75 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_enc_stats_pre_fmt

const char* const opt_name_enc_stats_pre_fmt[] = {"enc_stats_pre_fmt", NULL}
| static

Definition at line 78 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_enc_time_bases

const char* const opt_name_enc_time_bases[] = {"enc_time_base", NULL}
| static

Definition at line 74 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_filter_scripts

const char* const opt_name_filter_scripts[] = {"filter_script", NULL}
| static

Definition at line 82 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_filters

const char* const opt_name_filters[] = {"filter", "af", "vf", NULL}
| static

Definition at line 81 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_fix_sub_duration_heartbeat

const char* const opt_name_fix_sub_duration_heartbeat[] = {"fix_sub_duration_heartbeat", NULL}
| static

Definition at line 83 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_force_fps

const char* const opt_name_force_fps[] = {"force_fps", NULL}
| static

Definition at line 85 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_forced_key_frames

const char* const opt_name_forced_key_frames[] = {"forced_key_frames", NULL}
| static

Definition at line 86 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_fps_mode

const char* const opt_name_fps_mode[] = {"fps_mode", NULL}
| static

Definition at line 84 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_frame_aspect_ratios

const char* const opt_name_frame_aspect_ratios[] = {"aspect", NULL}
| static

Definition at line 87 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_frame_pix_fmts

const char* const opt_name_frame_pix_fmts[] = {"pix_fmt", NULL}
| static

Definition at line 105 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_frame_sizes

const char* const opt_name_frame_sizes[] = {"s", NULL}
| static

Definition at line 104 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_inter_matrices

const char* const opt_name_inter_matrices[] = {"inter_matrix", NULL}
| static

Definition at line 89 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_intra_matrices

const char* const opt_name_intra_matrices[] = {"intra_matrix", NULL}
| static

Definition at line 88 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_max_frame_rates

const char* const opt_name_max_frame_rates[] = {"fpsmax", NULL}
| static

Definition at line 91 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_max_frames

const char* const opt_name_max_frames[] = {"frames", "aframes", "vframes", "dframes", NULL}
| static

Definition at line 92 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_max_muxing_queue_size

const char* const opt_name_max_muxing_queue_size[] = {"max_muxing_queue_size", NULL}
| static

Definition at line 93 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_mux_stats

const char* const opt_name_mux_stats[] = {"mux_stats", NULL}
| static

Definition at line 77 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_mux_stats_fmt

const char* const opt_name_mux_stats_fmt[] = {"mux_stats_fmt", NULL}
| static

Definition at line 80 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_muxing_queue_data_threshold

const char* const opt_name_muxing_queue_data_threshold[] = {"muxing_queue_data_threshold", NULL}
| static

Definition at line 94 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_pass

const char* const opt_name_pass[] = {"pass", NULL}
| static

Definition at line 95 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_passlogfiles

const char* const opt_name_passlogfiles[] = {"passlogfile", NULL}
| static

Definition at line 96 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_presets

const char* const opt_name_presets[] = {"pre", "apre", "vpre", "spre", NULL}
| static

Definition at line 97 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_qscale

const char* const opt_name_qscale[] = {"q", "qscale", NULL}
| static

Definition at line 98 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_rc_overrides

const char* const opt_name_rc_overrides[] = {"rc_override", NULL}
| static

Definition at line 99 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_sample_fmts

const char* const opt_name_sample_fmts[] = {"sample_fmt", NULL}
| static

Definition at line 106 of file fftools_ffmpeg_mux_init.c.

## ◆ opt_name_time_bases

const char* const opt_name_time_bases[] = {"time_base", NULL}
| static

Definition at line 100 of file fftools_ffmpeg_mux_init.c.

## ◆ output_file_class

const AVClass output_file_class
| static

Initial value:
= {
.class_name = "OutputFile",
.version = LIBAVUTIL_VERSION_INT,
.item_name = output_file_item_name,
.category = AV_CLASS_CATEGORY_MUXER,
}
output_file_item_name
static const char * output_file_item_name(void *obj)
Definition fftools_ffmpeg_mux_init.c:2195

Definition at line 2202 of file fftools_ffmpeg_mux_init.c.

## ◆ output_stream_class

const AVClass output_stream_class
| static

Initial value:
= {
.class_name = "OutputStream",
.version = LIBAVUTIL_VERSION_INT,
.item_name = output_stream_item_name,
.category = AV_CLASS_CATEGORY_MUXER,
}
output_stream_item_name
static const char * output_stream_item_name(void *obj)
Definition fftools_ffmpeg_mux_init.c:404

Definition at line 411 of file fftools_ffmpeg_mux_init.c.